#version 150

precision mediump float;

layout(triangles) in;
layout(triangles, max_vertices = 3) out;

in vec4 geomVertex[3];

out vec4 position;
out vec2 fragTexCoord;

void main()
{	
	position = geomVertex[0];
	
	//triangle one
	fragTexCoord = vec2(0, 0);
	gl_Position = geomVertex[0];	
	EmitVertex();
	
	fragTexCoord = vec2(0, 1);
	gl_Position = geomVertex[1];	
	EmitVertex();
	
	fragTexCoord = vec2(1, 1);
	gl_Position = geomVertex[2];	
	EmitVertex();
	
	EndPrimitive();
	
	
	/*//triangle two
	fragTexCoord = vec2(0, 0);
	gl_Position = position + vec4(-halfalpha, halfalpha, 0, 0);	
	EmitVertex();
	
	fragTexCoord = vec2(1, 1);
	gl_Position = position + vec4(halfalpha, -halfalpha, 0, 0);	
	EmitVertex();
	
	fragTexCoord = vec2(1, 0);
	gl_Position = position + vec4(halfalpha, halfalpha, 0, 0);	
	EmitVertex();

	EndPrimitive();*/
}