#version 140
precision mediump float; 

uniform mat4 perspective;
uniform mat4 view;
//uniform mat4 model;

in vec4 vertex;

out vec4 geomVertex;
out float alphapoint;
out vec3 camPos;

void main()
{   
	vec4 pos = vec4(vertex.xyz, 1.0f);
	
	geomVertex = perspective * view * pos;
	alphapoint = vertex.w;
	//alpha = 1/distance((model*vec4(0, 0, 0, 1)).xyz, vertex[0].xyz);
}
